import { FnAjax, useAjax } from '@/Hook/useAjax'
import { ListData, SysAdgroupsDTO } from '@/services/launchAdq'
import { getSysAdgroupsList } from '@/services/launchAdq/localAd'
import { Col, Row, Input, Select,Button } from 'antd'
import React, { useEffect ,useState,useCallback} from 'react'
import TableData from '../../../components/TableData'
import AdModal from './modal'

export interface ModalConfig{
    visible:boolean;
    title?:string;
}

function Ad() {
    // 变量
    const [modalConfig,setModalConfig]=useState<ModalConfig>({
        visible:true,
        title:'新建'
    })
    // api方法
    const sysAdgroupsList: FnAjax<ListData<SysAdgroupsDTO>> = useAjax((params) => getSysAdgroupsList(params))
    // 初始获取列表
    useEffect(() => {
        sysAdgroupsList.run({ pageNum: 1, pageSize: 20 })
    }, [])

    // 设置变量
    const handleModalConfig=useCallback((arg:ModalConfig)=>{
        setModalConfig({...modalConfig,...arg})
    },[modalConfig])
    // submit
    const submit=useCallback((arg:any)=>{
        console.log(arg)
    },[])
    return <div>
        <TableData
            columns={() => []}
            ajax={sysAdgroupsList}
            dataSource={[]}
            loading={sysAdgroupsList?.loading}
            scroll={{ y: 600 }}
            total={sysAdgroupsList?.data?.total}
            page={sysAdgroupsList?.data?.current}
            pageSize={sysAdgroupsList?.data?.size}
            leftChild={<>
                <Row gutter={[10, 10]}>
                    <Col span={24}><Button type='primary' onClick={()=>{
                        handleModalConfig({visible:true})
                    }}>新建广告模板</Button></Col>
                    <Col><Input placeholder='广告名称' allowClear /></Col>
                    <Col><Select placeholder='推广目标' allowClear options={[{ label: '朋友圈', value: 1 }]} /></Col>
                </Row>
            </>}
            onChange={(props: any) => {
                // let { sortData, pagination } = props
                // let { current, pageSize } = pagination
            }}
        // config={guanggao}
        // configName={'广告模板列表'}
        />
        <AdModal  visible={modalConfig.visible} title={modalConfig.title} PupFn={handleModalConfig} callback={submit}/>
    </div>
}
export default Ad